import request from '/@/utils/request';

export function projectApi() {
	return {
		getProjectByList: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/experimentInfo/list/page/project',
				method: 'post',
				data: params
			});
		},

		addProject: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/experimentInfo/save',
				method: 'post',
				data: params
			});
		},

		modProject: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/experimentInfo/mod',
				method: 'post',
				data: params
			});
		},

		applyProject: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/experimentInfo/update/develop',
				method: 'post',
				data: params
			});
		},

		accessProject: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/experimentInfo/update/apply/evaluation',
				method: 'post',
				data: params
			});
		},

		deleteProjectById: (params: object) => {
			return request({
				url: import.meta.env.VITE_API_URL + '/experimentInfo/delete',
				method: 'post',
				data: params
			});
		},

		getAllExperiment: () => {
			return request({
				url: import.meta.env.VITE_API_URL + '/experimentInfo/list',
				method: 'get',
			});
		},

	};
}
